-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Speech To Text
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
JavaScript/jQuery Tile View - Basics
JavaScript TileView displays data within a collection of tiles. This component can contain text or HTML markup defined in its dataSource or items[] array.
In this demo, the itemTemplate property is used to customize tiles.
Backend API
$(() => {
$('#tileview').dxTileView({
items: homes,
itemTemplate(itemData, itemIndex, itemElement) {
const $image = $('<div>')
.addClass('image')
.css('background-image', `url(${itemData.ImageSrc})`);
itemElement.append($image);
},
});
});
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.7/css/dx.light.css" />
<script src="js/dx.all.js?v=25.1.7"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="tileview"></div>
</div>
</body>
</html>
.dx-tile-content .image {
height: 100%;
width: 100%;
background-position: center;
background-size: cover;
display: block;
}
const homes = [{
ID: '1',
Address: '652 Avonwick Gate',
City: 'Toronto',
State: 'ON',
Price: 780000,
ImageSrc: '../../../../images/gallery/1.jpg',
}, {
ID: '2',
Address: '328 S Kerema Ave',
City: 'Milford',
State: 'CT',
Price: 350000,
ImageSrc: '../../../../images/gallery/3.jpg',
}, {
ID: '3',
Address: '8512 Tanglewood Cir',
City: 'Reform',
State: 'AL',
Price: 250000,
ImageSrc: '../../../../images/gallery/6.jpg',
widthRatio: 2,
}, {
ID: '4',
Address: '6351 Forrest St',
City: 'Jersey City',
State: 'NJ',
Price: 320000,
ImageSrc: '../../../../images/gallery/14.jpg',
}, {
ID: '5',
Address: '61207 16th St N',
City: 'Moorhead',
State: 'MN',
Price: 1700000,
ImageSrc: '../../../../images/gallery/5.jpg',
heightRatio: 2,
widthRatio: 2,
}, {
ID: '6',
Address: '5119 Beryl Dr',
City: 'San Antonio',
State: 'TX',
Price: 455000,
ImageSrc: '../../../../images/gallery/4.jpg',
}, {
ID: '7',
Address: '7121 Bailey St',
City: 'Worcester',
State: 'MA',
Price: 555000,
ImageSrc: '../../../../images/gallery/7.jpg',
}, {
ID: '8',
Address: '82649 Topeka St',
City: 'Riverbank',
State: 'CA',
Price: 1750000,
ImageSrc: '../../../../images/gallery/2.jpg',
heightRatio: 2,
}, {
ID: '9',
Address: '7700 Elmwood Dr',
City: 'Cleveland',
State: 'OK',
Price: 470000,
ImageSrc: '../../../../images/gallery/17.jpg',
heightRatio: 2,
widthRatio: 2,
}, {
ID: '10',
Address: '620201 Plymouth Rd',
City: 'Detroit',
State: 'MI',
Price: 610000,
ImageSrc: '../../../../images/gallery/8.jpg',
}, {
ID: '11',
Address: '1198 Theresa Cir',
City: 'Whitinsville',
State: 'MA',
Price: 320000,
ImageSrc: '../../../../images/gallery/9.jpg',
}, {
ID: '12',
Address: '4815 Warbler Ln',
City: 'Rockport',
State: 'TX',
Price: 700000,
ImageSrc: '../../../../images/gallery/12.jpg',
}, {
ID: '13',
Address: '420234 Rogge St',
City: 'Detroit',
State: 'MI',
Price: 320000,
ImageSrc: '../../../../images/gallery/23.jpg',
}, {
ID: '14',
Address: '114840 Interlake Ave N',
City: 'Seattle',
State: 'WA',
Price: 400000,
ImageSrc: '../../../../images/gallery/22.jpg',
}, {
ID: '15',
Address: '13673 Pearl Dr #7',
City: 'Monroe',
State: 'MI',
Price: 399000,
ImageSrc: '../../../../images/gallery/20.jpg',
}, {
ID: '16',
Address: '15447 Via Viento',
City: 'Atascadero',
State: 'CA',
Price: 1100000,
ImageSrc: '../../../../images/gallery/21.jpg',
}];

import React from 'react';
import TileView from 'devextreme-react/tile-view';
import { homes } from './data.js';
class App extends React.Component {
render() {
return (
<TileView
items={homes}
itemRender={HomeImage}
/>
);
}
}
function HomeImage(data) {
return <div className="dx-tile-image" style={{ backgroundImage: `url(${data.ImageSrc})` }}></div>;
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.dx-tile-image {
height: 100%;
width: 100%;
background-position: center;
background-size: cover;
display: block;
}
export const homes = [{
ID: '1',
Address: '652 Avonwick Gate',
City: 'Toronto',
State: 'ON',
Price: 780000,
ImageSrc: '../../../../images/gallery/1.jpg',
}, {
ID: '2',
Address: '328 S Kerema Ave',
City: 'Milford',
State: 'CT',
Price: 350000,
ImageSrc: '../../../../images/gallery/3.jpg',
}, {
ID: '3',
Address: '8512 Tanglewood Cir',
City: 'Reform',
State: 'AL',
Price: 250000,
ImageSrc: '../../../../images/gallery/6.jpg',
widthRatio: 2,
}, {
ID: '4',
Address: '6351 Forrest St',
City: 'Jersey City',
State: 'NJ',
Price: 320000,
ImageSrc: '../../../../images/gallery/14.jpg',
}, {
ID: '5',
Address: '61207 16th St N',
City: 'Moorhead',
State: 'MN',
Price: 1700000,
ImageSrc: '../../../../images/gallery/5.jpg',
heightRatio: 2,
widthRatio: 2,
}, {
ID: '6',
Address: '5119 Beryl Dr',
City: 'San Antonio',
State: 'TX',
Price: 455000,
ImageSrc: '../../../../images/gallery/4.jpg',
}, {
ID: '7',
Address: '7121 Bailey St',
City: 'Worcester',
State: 'MA',
Price: 555000,
ImageSrc: '../../../../images/gallery/7.jpg',
}, {
ID: '8',
Address: '82649 Topeka St',
City: 'Riverbank',
State: 'CA',
Price: 1750000,
ImageSrc: '../../../../images/gallery/2.jpg',
heightRatio: 2,
}, {
ID: '9',
Address: '7700 Elmwood Dr',
City: 'Cleveland',
State: 'OK',
Price: 470000,
ImageSrc: '../../../../images/gallery/17.jpg',
heightRatio: 2,
widthRatio: 2,
}, {
ID: '10',
Address: '620201 Plymouth Rd',
City: 'Detroit',
State: 'MI',
Price: 610000,
ImageSrc: '../../../../images/gallery/8.jpg',
}, {
ID: '11',
Address: '1198 Theresa Cir',
City: 'Whitinsville',
State: 'MA',
Price: 320000,
ImageSrc: '../../../../images/gallery/9.jpg',
}, {
ID: '12',
Address: '4815 Warbler Ln',
City: 'Rockport',
State: 'TX',
Price: 700000,
ImageSrc: '../../../../images/gallery/12.jpg',
}, {
ID: '13',
Address: '420234 Rogge St',
City: 'Detroit',
State: 'MI',
Price: 320000,
ImageSrc: '../../../../images/gallery/23.jpg',
}, {
ID: '14',
Address: '114840 Interlake Ave N',
City: 'Seattle',
State: 'WA',
Price: 400000,
ImageSrc: '../../../../images/gallery/22.jpg',
}, {
ID: '15',
Address: '13673 Pearl Dr #7',
City: 'Monroe',
State: 'MI',
Price: 399000,
ImageSrc: '../../../../images/gallery/20.jpg',
}, {
ID: '16',
Address: '15447 Via Viento',
City: 'Atascadero',
State: 'CA',
Price: 1100000,
ImageSrc: '../../../../images/gallery/21.jpg',
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@21.2.7/cjs',
'devextreme-react': 'npm:devextreme-react@21.2.7',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.14/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.47/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.0.13/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@2.3.14',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@2.3.14/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<dx-tile-view class="dx-tile-content">
<dxi-item
*ngFor="let home of homes"
[widthRatio]="home.widthRatio"
[heightRatio]="home.heightRatio"
>
<div
class="image"
[style.background-image]="'url(' + home.ImageSrc + ')'"
></div>
</dxi-item>
</dx-tile-view>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxTileViewModule } from 'devextreme-angular';
import { Home, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service],
})
export class AppComponent {
homes: Home[];
constructor(service: Service) {
this.homes = service.getHomes();
}
}
@NgModule({
imports: [
BrowserModule,
DxTileViewModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .dx-tile-content .image {
height: 100%;
width: 100%;
background-position: center;
background-size: cover;
display: block;
}
import { Injectable } from '@angular/core';
export class Home {
ID: string;
Address: string;
City: string;
State: string;
Price: number;
ImageSrc: string;
heightRatio?: number;
widthRatio?: number;
}
const homes: Home[] = [{
ID: '1',
Address: '652 Avonwick Gate',
City: 'Toronto',
State: 'ON',
Price: 780000,
ImageSrc: '../../../../images/gallery/1.jpg',
}, {
ID: '2',
Address: '328 S Kerema Ave',
City: 'Milford',
State: 'CT',
Price: 350000,
ImageSrc: '../../../../images/gallery/3.jpg',
}, {
ID: '3',
Address: '8512 Tanglewood Cir',
City: 'Reform',
State: 'AL',
Price: 250000,
ImageSrc: '../../../../images/gallery/6.jpg',
widthRatio: 2,
}, {
ID: '4',
Address: '6351 Forrest St',
City: 'Jersey City',
State: 'NJ',
Price: 320000,
ImageSrc: '../../../../images/gallery/14.jpg',
}, {
ID: '5',
Address: '61207 16th St N',
City: 'Moorhead',
State: 'MN',
Price: 1700000,
ImageSrc: '../../../../images/gallery/5.jpg',
heightRatio: 2,
widthRatio: 2,
}, {
ID: '6',
Address: '5119 Beryl Dr',
City: 'San Antonio',
State: 'TX',
Price: 455000,
ImageSrc: '../../../../images/gallery/4.jpg',
}, {
ID: '7',
Address: '7121 Bailey St',
City: 'Worcester',
State: 'MA',
Price: 555000,
ImageSrc: '../../../../images/gallery/7.jpg',
}, {
ID: '8',
Address: '82649 Topeka St',
City: 'Riverbank',
State: 'CA',
Price: 1750000,
ImageSrc: '../../../../images/gallery/2.jpg',
heightRatio: 2,
}, {
ID: '9',
Address: '7700 Elmwood Dr',
City: 'Cleveland',
State: 'OK',
Price: 470000,
ImageSrc: '../../../../images/gallery/17.jpg',
heightRatio: 2,
widthRatio: 2,
}, {
ID: '10',
Address: '620201 Plymouth Rd',
City: 'Detroit',
State: 'MI',
Price: 610000,
ImageSrc: '../../../../images/gallery/8.jpg',
}, {
ID: '11',
Address: '1198 Theresa Cir',
City: 'Whitinsville',
State: 'MA',
Price: 320000,
ImageSrc: '../../../../images/gallery/9.jpg',
}, {
ID: '12',
Address: '4815 Warbler Ln',
City: 'Rockport',
State: 'TX',
Price: 700000,
ImageSrc: '../../../../images/gallery/12.jpg',
}, {
ID: '13',
Address: '420234 Rogge St',
City: 'Detroit',
State: 'MI',
Price: 320000,
ImageSrc: '../../../../images/gallery/23.jpg',
}, {
ID: '14',
Address: '114840 Interlake Ave N',
City: 'Seattle',
State: 'WA',
Price: 400000,
ImageSrc: '../../../../images/gallery/22.jpg',
}, {
ID: '15',
Address: '13673 Pearl Dr #7',
City: 'Monroe',
State: 'MI',
Price: 399000,
ImageSrc: '../../../../images/gallery/20.jpg',
}, {
ID: '16',
Address: '15447 Via Viento',
City: 'Atascadero',
State: 'CA',
Price: 1100000,
ImageSrc: '../../../../images/gallery/21.jpg',
}];
@Injectable()
export class Service {
getHomes(): Home[] {
return homes;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.16',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16',
'@angular/forms': 'npm:@angular/forms@12.2.16',
'@angular/common': 'npm:@angular/common@12.2.16',
'@angular/compiler': 'npm:@angular/compiler@12.2.16',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.2.3/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.18/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37',
'devextreme-angular': 'npm:devextreme-angular@22.2.3',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.16/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.2.3/*/package.json',
'npm:devextreme-angular@22.2.3/ui/*/package.json',
'npm:devextreme-angular@22.2.3/package.json',
'npm:devexpress-diagram@2.1.65/package.json',
'npm:devexpress-gantt@4.1.37/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.12.0/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

Your search did not match any results.
Tile View

Basics

Documentation

The TileView component contains a collection of tiles. Tiles can store much more information than ordinary buttons, that is why they are very popular in apps designed for touch devices. This demo illustrates how to create a simple TileView.

Backend API
Copy to CodeSandBox
Apply
Reset
<template> <DxTileView :items="homes" > <template #item="{ data }"> <div :style="{backgroundImage: 'url(' + data.ImageSrc + ')'}" class="dx-tile-image" /> </template> </DxTileView> </template> <script> import DxTileView from 'devextreme-vue/tile-view'; import { homes } from './data.js'; export default { components: { DxTileView, }, data() { return { homes, }; }, }; </script> <style> .dx-tile-image { height: 100%; width: 100%; background-position: center; background-size: cover; display: block; } </style>
import { createApp } from 'vue'; import App from './App.vue'; createApp(App).mount('#app');
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.5/css/dx.light.css" /> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.js"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"> </div> </div> </body> </html>
export const homes = [{ ID: '1', Address: '652 Avonwick Gate', City: 'Toronto', State: 'ON', Price: 780000, ImageSrc: '../../../../images/gallery/1.jpg', }, { ID: '2', Address: '328 S Kerema Ave', City: 'Milford', State: 'CT', Price: 350000, ImageSrc: '../../../../images/gallery/3.jpg', }, { ID: '3', Address: '8512 Tanglewood Cir', City: 'Reform', State: 'AL', Price: 250000, ImageSrc: '../../../../images/gallery/6.jpg', widthRatio: 2, }, { ID: '4', Address: '6351 Forrest St', City: 'Jersey City', State: 'NJ', Price: 320000, ImageSrc: '../../../../images/gallery/14.jpg', }, { ID: '5', Address: '61207 16th St N', City: 'Moorhead', State: 'MN', Price: 1700000, ImageSrc: '../../../../images/gallery/5.jpg', heightRatio: 2, widthRatio: 2, }, { ID: '6', Address: '5119 Beryl Dr', City: 'San Antonio', State: 'TX', Price: 455000, ImageSrc: '../../../../images/gallery/4.jpg', }, { ID: '7', Address: '7121 Bailey St', City: 'Worcester', State: 'MA', Price: 555000, ImageSrc: '../../../../images/gallery/7.jpg', }, { ID: '8', Address: '82649 Topeka St', City: 'Riverbank', State: 'CA', Price: 1750000, ImageSrc: '../../../../images/gallery/2.jpg', heightRatio: 2, }, { ID: '9', Address: '7700 Elmwood Dr', City: 'Cleveland', State: 'OK', Price: 470000, ImageSrc: '../../../../images/gallery/17.jpg', heightRatio: 2, widthRatio: 2, }, { ID: '10', Address: '620201 Plymouth Rd', City: 'Detroit', State: 'MI', Price: 610000, ImageSrc: '../../../../images/gallery/8.jpg', }, { ID: '11', Address: '1198 Theresa Cir', City: 'Whitinsville', State: 'MA', Price: 320000, ImageSrc: '../../../../images/gallery/9.jpg', }, { ID: '12', Address: '4815 Warbler Ln', City: 'Rockport', State: 'TX', Price: 700000, ImageSrc: '../../../../images/gallery/12.jpg', }, { ID: '13', Address: '420234 Rogge St', City: 'Detroit', State: 'MI', Price: 320000, ImageSrc: '../../../../images/gallery/23.jpg', }, { ID: '14', Address: '114840 Interlake Ave N', City: 'Seattle', State: 'WA', Price: 400000, ImageSrc: '../../../../images/gallery/22.jpg', }, { ID: '15', Address: '13673 Pearl Dr #7', City: 'Monroe', State: 'MI', Price: 399000, ImageSrc: '../../../../images/gallery/20.jpg', }, { ID: '16', Address: '15447 Via Viento', City: 'Atascadero', State: 'CA', Price: 1100000, ImageSrc: '../../../../images/gallery/21.jpg', }];
window.config = { transpiler: 'plugin-babel', meta: { '*.vue': { loader: 'vue-loader', }, 'devextreme/localization.js': { 'esModule': true, }, }, paths: { 'npm:': 'https://unpkg.com/', }, map: { 'vue': 'npm:vue@3.2.47/dist/vue.esm-browser.js', 'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js', 'mitt': 'npm:mitt/dist/mitt.umd.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@22.2.5/cjs', 'devextreme-vue': 'npm:devextreme-vue@22.2.5', 'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.1.72/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.42/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'devextreme-vue': { main: 'index.js', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.11/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, }, }; System.config(window.config);